#include "stdafx.h"
#include <iostream>
#include "img.h"
#include "graphmap.h"
using namespace std;


int main()
{
	BMP img;
	cout << "Start read...";
	img.read("test29.bmp");//загружаем картинку
	//img.write("output.bmp");
	cout << "End." << endl;

	cout << "Building tree...";
	Graph map(img); //строим древо по этой картинке
	cout << "End." << endl;

	try 
	{ 
	 cout << "Drowing roud...";
	 map.calcdijkstra(Position(220, 220)); //считаем все маршруты от точки 220 220
	 BMP out = map.drowRoad(Position(860, 860)); //прокладываем маршрут к точке 860 860

	 out.write("output30.bmp"); //записываем получившийся результат
	 cout << "End." << endl;
	}
	catch (char* error) // если маршрут не найдет выводим ошибку
	{
		cout << error <<endl;
	}
	system("pause");
	


	
	cout << "End." << endl;


	
	return 0;
}